# $Revision: 1.32 $, $Date: 2004/05/07 00:59:46 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Graph
%define	pnam	Kruskal
Summary:	Graph::Kruskal - Kruskal's algorithm for Minimal Spanning Trees in graphs
Summary(pl):	Graph::Kruskal - algorytm Kruskala do tworzenia minimalnych drzew rozpinajcych w grafach
Name:		perl-Graph-Kruskal
Version:	2.0
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	04abf8673b5a6dcc865981a856fd0b7f
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graph::Kruskal Perl module implements the Kruskal's algorithm for
Minimal Spanning Trees in graphs.

Computes the Minimal Spanning Tree of a given graph according to some
cost function defined on the edges of the graph.

%description -l pl
Modu Perla Graph::Kruskal stanowi implementacj algorytmu Kruskala do
tworzenia minimalnych drzew rozpinajcych w grafach.

Oblicza minimalne drzewo rozpinajce dla zadanego grafu w odniesieniu
do pewnej funkcji kosztu zdefiniowanej dla krawdzi grafu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Graph/Kruskal.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Graph-Kruskal.spec,v $
Revision 1.32  2004/05/07 00:59:46  ankry
- rel. 10

Revision 1.31  2004/05/06 18:09:39  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/22 17:30:05  qboosh
- pl fixes

Revision 1.29  2004/04/21 19:56:35  ankry
- summary/desc

Revision 1.28  2004/04/21 08:59:40  ankry
- license fixes/unification

Revision 1.27  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:32:47  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:14:02  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:47:28  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:26:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:57  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 16:08:02  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
